export default {
    state: {
        cacheList: {}
    },
    mutations: {
        setCache(state, payload) {
            const {
                key,
                value
            } = payload;
            state.cacheList[key] = value;
        },
        removeCache(state, key) {
            delete state.cacheList[key];
        },
        clearCache(state) {
            state.cacheList = {};
        }
    }
}